//Give pebble
onEvent("block.right_click", event => {
    if (event.hand != MAIN_HAND) return
    if (!event.player.mainHandItem.isEmpty()) return

    if (event.block.hasTag('forge:stone')) {
        event.player.give('botania:pebble').withChance(0.75);
        event.player.swingArm(event.hand);
    }
})